Upgraded packages to latest upstream

Upgraded net-misc/curl to v7.88.1-r1

BUG=None
TEST=presubmit
RELEASE_NOTE=Upgraded net-misc/curl to v7.88.1-r1.

Change-Id: I23eb9b25b19ab1d5c66735c141d78a0c100ad66a
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/portage-stable/+/44565
Reviewed-by: Chenglong Tang <chenglongtang@google.com>
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
diff --git a/net-misc/curl/curl-7.87.0-r2.ebuild b/net-misc/curl/curl-7.88.1-r1.ebuild
similarity index 88%
rename from net-misc/curl/curl-7.87.0-r2.ebuild
rename to net-misc/curl/curl-7.88.1-r1.ebuild
index 3279ccb..613bd0d 100644
--- a/net-misc/curl/curl-7.87.0-r2.ebuild
+++ b/net-misc/curl/curl-7.88.1-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="7"
 
-inherit autotools prefix multilib-minimal verify-sig
+inherit autotools multilib-minimal prefix verify-sig
 
 DESCRIPTION="A Client that groks URLs"
 HOMEPAGE="https://curl.se/"
@@ -13,12 +13,12 @@
 LICENSE="curl"
 SLOT="0"
 KEYWORDS="*"
-IUSE="+adns alt-svc brotli +ftp gnutls gopher hsts +http2 idn +imap ipv6 kerberos ldap mbedtls nss +openssl +pop3 +progress-meter rtmp rustls samba +smtp ssh ssl sslv3 static-libs test telnet +tftp websockets zstd"
+IUSE="+adns alt-svc brotli +ftp gnutls gopher hsts +http2 idn +imap kerberos ldap mbedtls nss +openssl +pop3 +progress-meter rtmp rustls samba +smtp ssh ssl sslv3 static-libs test telnet +tftp websockets zstd"
 IUSE+=" curl_ssl_gnutls curl_ssl_mbedtls curl_ssl_nss +curl_ssl_openssl curl_ssl_rustls"
-IUSE+=" nghttp3 quiche"
+IUSE+=" nghttp3"
 VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/danielstenberg.asc
 
-# Only one default ssl provider can be enabled
+#Only one default ssl provider can be enabled
 REQUIRED_USE="
 	ssl? (
 		^^ (
@@ -62,7 +62,6 @@
 		net-libs/nghttp3[${MULTILIB_USEDEP}]
 		net-libs/ngtcp2[ssl,${MULTILIB_USEDEP}]
 	)
-	quiche? ( >=net-libs/quiche-0.3.0[${MULTILIB_USEDEP}] )
 	idn? ( net-dns/libidn2:=[static-libs?,${MULTILIB_USEDEP}] )
 	adns? ( net-dns/c-ares:=[${MULTILIB_USEDEP}] )
 	kerberos? ( >=virtual/krb5-0-r1[${MULTILIB_USEDEP}] )
@@ -71,18 +70,13 @@
 	sys-libs/zlib[${MULTILIB_USEDEP}]
 	zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )"
 
-# Do we need to enforce the same ssl backend for curl and rtmpdump? Bug #423303
-#	rtmp? (
-#		media-video/rtmpdump
-#		curl_ssl_gnutls? ( media-video/rtmpdump[gnutls] )
-#		curl_ssl_openssl? ( media-video/rtmpdump[-gnutls,ssl] )
-#	)
-
 DEPEND="${RDEPEND}"
 BDEPEND="dev-lang/perl
 	virtual/pkgconfig
 	test? (
 		sys-apps/diffutils
+		http2? ( net-libs/nghttp2:=[utils,${MULTILIB_USEDEP}] )
+		nghttp3? ( net-libs/nghttp2:=[utils,${MULTILIB_USEDEP}] )
 	)
 	verify-sig? ( sec-keys/openpgp-keys-danielstenberg )"
 
@@ -99,14 +93,19 @@
 PATCHES=(
 	"${FILESDIR}"/${PN}-7.30.0-prefix.patch
 	"${FILESDIR}"/${PN}-respect-cflags-3.patch
-
-	"${FILESDIR}"/${P}-gnutls-openssl-build.patch
-	"${FILESDIR}"/${P}-typecheck-deprecated.patch
+	
+	"${FILESDIR}"/${P}-header-dump-segfault.patch
+	"${FILESDIR}"/${P}-pipewait.patch
+	"${FILESDIR}"/${P}-silent-parallel.patch
 )
 
 src_prepare() {
 	default
 
+	# Some tests (HTTP/#) rely on ssl certificates that are stored VCS which breaks
+	# with out-of-tree builds.
+	sed -i "s:my \$path   = getcwd():my \$path   = \"${S}/tests\":" tests/http*-server.pl \
+		|| die "Unable to update test locations"
 	eprefixify curl-config.in
 	eautoreconf
 }
@@ -142,7 +141,6 @@
 			einfo "SSL provided by rustls"
 			myconf+=( --with-rustls )
 		fi
-
 		if use curl_ssl_gnutls; then
 			einfo "Default SSL provided by gnutls"
 			myconf+=( --with-default-ssl-backend=gnutls )
@@ -208,13 +206,14 @@
 		--enable-doh
 		--enable-symbol-hiding
 		--enable-http-auth
-		$(use_enable ipv6)
+		--enable-ipv6
 		--enable-largefile
 		--enable-manual
 		--enable-mime
 		--enable-netrc
 		$(use_enable progress-meter)
 		--enable-proxy
+		--enable-socketpair
 		--disable-sspi
 		$(use_enable static-libs static)
 		--enable-pthreads
@@ -233,10 +232,13 @@
 		--without-msh3
 		$(use_with nghttp3)
 		$(use_with nghttp3 ngtcp2)
-		$(use_with quiche)
+		--without-quiche
 		$(use_with rtmp librtmp)
 		--without-schannel
 		--without-secure-transport
+		--without-test-caddy
+		--without-test-httpd
+		--without-test-nghttpx
 		$(use_enable websockets)
 		--without-winidn
 		--without-wolfssl
@@ -244,6 +246,12 @@
 		$(use_with zstd)
 	)
 
+	if use test && multilib_is_native_abi && ( use http2 || use nghttp3 ); then
+		myconf+=(
+			--with-test-nghttpx="${BROOT}/usr/bin/nghttpx"
+		)
+	fi
+
 	ECONF_SOURCE="${S}" econf "${myconf[@]}"
 
 	if ! multilib_is_native_abi; then
@@ -262,10 +270,6 @@
 		libs+=( "-lnghttp2" )
 		priv+=( "libnghttp2" )
 	fi
-	if use quiche; then
-		libs+=( "-lquiche" )
-		priv+=( "quiche" )
-	fi
 	if use nghttp3; then
 		libs+=( "-lnghttp3" "-lngtcp2" )
 		priv+=( "libnghttp3" "libngtcp2" )